aboutsummaryrefslogtreecommitdiffstats
path: root/sysconfig
diff options
context:
space:
mode:
Diffstat (limited to 'sysconfig')
-rwxr-xr-xsysconfig/network-scripts/ifdown-sl45
-rwxr-xr-xsysconfig/network-scripts/ifup-ppp3
-rwxr-xr-xsysconfig/network-scripts/ifup-sl69
-rw-r--r--sysconfig/network-scripts/network-functions10
4 files changed, 0 insertions, 127 deletions
diff --git a/sysconfig/network-scripts/ifdown-sl b/sysconfig/network-scripts/ifdown-sl
deleted file mode 100755
index 0bd0342e..00000000
--- a/sysconfig/network-scripts/ifdown-sl
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/bash
-
-cd /etc/sysconfig/network-scripts
-. ./network-functions
-
-CONFIG=$1
-source_config
-
-# signals ifup-sl not to persist
-rm -f /var/run/sl-$DEVICE.dev
-
-PID=`pidof dip-$DEVICE`
-#
-# The proctitle for connected dip daemons is actually "-dip (ipaddr)"
-# with ipaddr == local on dial-out, remote on dial-in
-# Grab the PID of connected dial-out daemon.
-#
-if [ -z "$PID" ]; then
- PID=`pidof -- -dip\ \($IPADDR\)`
-fi
-if [ -z "$PID" ]; then
- exit 1
-fi
-
-kill $PID > /dev/null 2>&1
-if [ ! -d /proc/$PID ]; then
- /etc/sysconfig/network-scripts/ifdown-post $1
- exit 0
-fi
-sleep 2
-if [ ! -d /proc/$PID ]; then
- /etc/sysconfig/network-scripts/ifdown-post $1
- exit 0
-fi
-
-kill -KILL $PID > /dev/null 2>&1
-if [ -d /proc/$PID ]; then
- /usr/bin/logger -p daemon.info -t ifdown-ppp "ifdown-ppp unable to kill pppd-$DEVICE" &
-else
- /etc/sysconfig/network-scripts/ifdown-post $1
-fi
-[ ! -d /proc/$PID ] && exit 0
-
-exit 1
-
diff --git a/sysconfig/network-scripts/ifup-ppp b/sysconfig/network-scripts/ifup-ppp
index 3f8ea620..3d8be0f5 100755
--- a/sysconfig/network-scripts/ifup-ppp
+++ b/sysconfig/network-scripts/ifup-ppp
@@ -71,9 +71,6 @@ if [ ! -f ${PEERCONF} ]; then
if [ -z "${WVDIALSECT}" ] ; then
CHATSCRIPT=/etc/sysconfig/network-scripts/chat-${DEVNAME}
[ -f ${CHATSCRIPT} ] || {
- CHATSCRIPT=/etc/sysconfig/network-scripts/chat-${PARENTDEVNAME}
- }
- [ -f ${CHATSCRIPT} ] || {
echo $"/etc/sysconfig/network-scripts/chat-${DEVNAME} does not exist"
echo $"ifup-ppp for ${DEVNAME} exiting"
/usr/bin/logger -p daemon.info -t ifup-ppp \
diff --git a/sysconfig/network-scripts/ifup-sl b/sysconfig/network-scripts/ifup-sl
deleted file mode 100755
index 4db61641..00000000
--- a/sysconfig/network-scripts/ifup-sl
+++ /dev/null
@@ -1,69 +0,0 @@
-#!/bin/bash
-
-. /etc/init.d/functions
-
-# ifup-post can't be done for slip :-( Solution: use PPP
-
-# become a daemon in case we have to persist.
-if [ "$1" != daemon ] ; then
- # disconnect stdin, out, err to disassociate from controlling tty
- # so that no HUPs will get through.
- $0 daemon $*& </dev/null >/dev/null 2>/dev/null
- exit 0
-fi
-shift
-
-cd /etc/sysconfig/network-scripts
-. ./network-functions
-
-CONFIG=$1
-source_config
-
-if [ "foo$2" = "fooboot" -a ${ONBOOT} = "no" ]
-then
- exit
-fi
-
-if [ -z "$RETRYTIMEOUT" ]; then
- RETRYTIMEOUT=30
-fi
-
-[ -x /usr/sbin/dip ] || {
- echo $"/usr/sbin/dip does not exist or is not executable"
- echo $"ifup-sl for $DEVICE exiting"
- /usr/bin/logger -p daemon.info -t ifup-sl \
- $"/usr/sbin/dip does not exist or is not executable for $DEVICE"
- exit 1
-}
-
-DIPSCRIPT=/etc/sysconfig/network-scripts/dip-$DEVNAME
-[ -f $DIPSCRIPT ] || {
- DIPSCRIPT=/etc/sysconfig/network-scripts/dip-$PARENTDEVNAME
-}
-[ -f $DIPSCRIPT ] || {
- echo $"/etc/sysconfig/network-scripts/dip-$DEVICE does not exist"
- echo $"ifup-sl for $DEVICE exiting"
- /usr/bin/logger -p daemon.info -t ifup-sl \
- $"/etc/sysconfig/network-scripts/dip-$DEVICE does not exist for $DEVICE"
- exit 1
-}
-
-while : ; do
- echo > /var/run/sl-$DEVICE.dev
- (/usr/bin/logger -p daemon.info -t ifup-sl \
- $"dip started for $DEVICE on $MODEMPORT at $LINESPEED" &)&
- doexec /usr/sbin/dip dip-$DEVICE $DIPSCRIPT
- if [ "$PERSIST" != "yes" -o ! -f /var/run/sl-$DEVICE.dev ] ; then
- exit 0
- fi
- while [ -f /var/run/LCK..$DEVICE && killall -0 dip ] ; do
- sleep 10
- done
- rm -f /var/run/sl-$DEVICE.dev
-
- sleep $RETRYTIMEOUT || {
- # sleep was killed
- exit 0
- }
-done
-
diff --git a/sysconfig/network-scripts/network-functions b/sysconfig/network-scripts/network-functions
index 7c0dff8e..8c720598 100644
--- a/sysconfig/network-scripts/network-functions
+++ b/sysconfig/network-scripts/network-functions
@@ -67,16 +67,6 @@ need_config ()
source_config ()
{
DEVNAME=`basename $CONFIG | sed 's/^ifcfg-//g'`
- if echo ${CONFIG##*/} | grep -q '[^g]-' ; then
- PARENTCONFIG=`echo $CONFIG | sed 's/-[^-]*$//g'`
- PARENTDEVNAME=${PARENTCONFIG##*/ifcfg-}
- [ -f $PARENTCONFIG ] || {
- echo $"Missing config file $PARENTCONFIG." >&2
- exit 1
- }
- . ./$PARENTCONFIG
- [ -r "keys-$PARENTDEVNAME" ] && . ./keys-$PARENTDEVNAME
- fi
. ./$CONFIG
[ -r "keys-$DEVNAME" ] && . ./keys-$DEVNAME
case "$TYPE" in